Skip to main content

Communication & Messaging

Slack, Teams, Zoom, Discord messaging

  • Tools: 8
  • Connectors: 6

Connectors in this domain

Tool reference

comm.channels.get - Get Channel

Get channel details

  • Risk: read - Read-only - safe to call freely
  • Supported by: Slack, Microsoft Teams, Discord, Webex, Zoom, RingCentral

Input schema

FieldTypeRequiredDescription
channel_idstringNo-

Output schema

FieldTypeRequiredDescription
channelobjectNo-

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/comm.channels.get/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"channel_id":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "comm.channels.get",
"arguments": {
"channel_id": "string"
}
}
}

comm.channels.list - List Channels

List available channels

  • Risk: read - Read-only - safe to call freely
  • Supported by: Slack, Microsoft Teams, Discord, Zoom, RingCentral, Webex

Input schema

No fields.

Output schema

FieldTypeRequiredDescription
channelsarrayNo-

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/comm.channels.list/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "comm.channels.list",
"arguments": {}
}
}

comm.messages.search - Search Messages

Search messages across channels

  • Risk: read - Read-only - safe to call freely
  • Supported by: Slack, Discord, Zoom, Microsoft Teams, RingCentral, Webex

Input schema

FieldTypeRequiredDescription
limitintegerNo-
querystringNo-

Output schema

FieldTypeRequiredDescription
messagesarrayNo-

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/comm.messages.search/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"limit":0,"query":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "comm.messages.search",
"arguments": {
"limit": 0,
"query": "string"
}
}
}

comm.messages.send - Send Message

Send a message to a channel or user

  • Risk: write - Creates or modifies data
  • Supported by: Slack, Microsoft Teams, Discord, Webex, Zoom, RingCentral

Input schema

FieldTypeRequiredDescription
textstringNo-
channel_idstringNo-

Output schema

FieldTypeRequiredDescription
messageobjectNo-

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/comm.messages.send/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"text":"string","channel_id":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "comm.messages.send",
"arguments": {
"text": "string",
"channel_id": "string"
}
}
}

comm.reactions.add - Add Reaction

Add a reaction to a message

  • Risk: write - Creates or modifies data
  • Supported by: Slack, Discord, Microsoft Teams, Zoom, RingCentral, Webex

Input schema

FieldTypeRequiredDescription
emojistringNo-
channel_idstringNo-
message_idstringNo-

Output schema

FieldTypeRequiredDescription
successbooleanNo-

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/comm.reactions.add/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"emoji":"string","channel_id":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "comm.reactions.add",
"arguments": {
"emoji": "string",
"channel_id": "string"
}
}
}

comm.threads.get - Get Thread

Get thread messages

  • Risk: read - Read-only - safe to call freely
  • Supported by: Slack, Microsoft Teams, Discord, Zoom, RingCentral, Webex

Input schema

FieldTypeRequiredDescription
thread_idstringNo-
channel_idstringNo-

Output schema

FieldTypeRequiredDescription
messagesarrayNo-

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/comm.threads.get/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"thread_id":"string","channel_id":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "comm.threads.get",
"arguments": {
"thread_id": "string",
"channel_id": "string"
}
}
}

comm.users.get - Get User

Get user details

  • Risk: read - Read-only - safe to call freely
  • Supported by: Slack, Microsoft Teams, Discord, Zoom, RingCentral, Webex

Input schema

FieldTypeRequiredDescription
user_idstringNo-

Output schema

FieldTypeRequiredDescription
userobjectNo-

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/comm.users.get/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"user_id":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "comm.users.get",
"arguments": {
"user_id": "string"
}
}
}

comm.users.search - Search Users

Search users in the workspace

  • Risk: read - Read-only - safe to call freely
  • Supported by: RingCentral, Zoom, Microsoft Teams, Webex, Slack, Discord

Input schema

FieldTypeRequiredDescription
querystringNo-

Output schema

FieldTypeRequiredDescription
usersarrayNo-

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/comm.users.search/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"query":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "comm.users.search",
"arguments": {
"query": "string"
}
}
}